package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainQualityResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmstrainQualityResultMapper extends IBaseMapper<TmstrainQualityResult, BigDecimal> {

    List<TmstrainQualityResult> selectAll();
   //查看未质检的火车实绩
    List<Map<String, Object>> selectWzInputId();

   // 获取主键id
    @Select("select seq_TMSTRAIN_QUALITY_RESULT.nextval from dual")
    BigDecimal selectMaxId();
}